#include<bits/stdc++.h>
using namespace std;
const int maxn=1e+6;
int k,t,n,m;
int ff[maxn];
int main(){
	freopen("meow.in","r",stdin);
	freopen("meow.out","w",stdout);
	cout<<"5"<<endl;
	cout<<"1 1"<<endl;
	cout<<"1 1"<<endl;
	cout<<"1 2"<<endl;
	cout<<"2 1 2"<<endl;
	cout<<"1 1"<<endl;
	return 0;
}
